skip to content

Java Check

To use Blackboard and its collaboration tools, you must have Java enabled on your computer. JRE version 7 is the recommended version for features that depend on it. JRE version 6 may work, but could result in unexpected behavior. Oracle has acknowledged some security issues with JRE version 6.

Note: On Apple Mac OS X, Google's Chrome browser does not support Java 7 because of incompatibilities between 64-bit Java and 32-bit Chrome. Firefox and Safari browsers do not have this limitation on Mac OS X. Users of the Chrome browser on Mac OS X must configure Java 6 support to access the features listed. 

You have Java version:

If after 15 seconds the box remains grayed out or does not appear, you will need to install the Java engine. Go to the Java Download Site.

Other Plugins or Software

Some of the Blackboard pages may have content that requires a plugin or other software to be viewed. Below is a list of recommended plugins and links to locations where you can download them. These are not necessary to use the Blackboard system, but are recommended.

page last updated 11/30/2015 7:28 AM